{
  "actual_output_tokens_stats": {
    "count": 4086.0,
    "mean": 213.95105237395987,
    "p50": 83.0,
    "p90": 562.0,
    "p99": 1346.0
  },
  "cache_hit_request_count": 3929,
  "cached_tokens_stats": {
    "count": 4449.0,
    "mean": 22635.924702180266,
    "p50": 20010.0,
    "p90": 48002.0,
    "p99": 65424.0
  },
  "decode_request_priorities": {},
  "error_count": 363,
  "execution_modes": {
    "kvcache-centric": 363,
    "kvcache-direct-to-d-session": 1716,
    "pd-router-d-session-reseed": 23,
    "pd-router-fallback-d-backpressure": 12,
    "pd-router-fallback-large-append": 5,
    "pd-router-fallback-large-append-seed-filter-early-turn": 51,
    "pd-router-fallback-large-append-session-cap": 2148,
    "pd-router-fallback-no-d-capacity": 7,
    "pd-router-fallback-session-cap": 32,
    "pd-router-large-append-reseed": 39,
    "pd-router-large-append-reseed-after-eviction": 2,
    "pd-router-turn1-d-backpressure": 1,
    "pd-router-turn1-no-d-capacity": 3,
    "pd-router-turn1-seed": 34,
    "pd-router-turn1-session-cap": 13
  },
  "latency_stats_s": {
    "count": 4086.0,
    "mean": 4.8753733304192455,
    "p50": 1.754677688702941,
    "p90": 12.66968655679375,
    "p99": 28.717210091650486
  },
  "mechanisms": {
    "kvcache-centric": 4449
  },
  "per_decode_load": {
    "decode-0": 616,
    "decode-1": 658,
    "decode-2": 674,
    "decode-3": 582,
    "decode-4": 656,
    "decode-5": 662,
    "decode-6": 601
  },
  "per_prefill_load": {
    "prefill-0": 4449
  },
  "prefill_request_priorities": {
    "-100": 98,
    "100": 2272
  },
  "re_prefill_count": 0,
  "request_count": 4449,
  "reuse_expected_count": 4397,
  "reuse_observed_count": 4397,
  "router_url": "http://127.0.0.1:8000",
  "session_reset_count": 0,
  "session_reused_count": 1716,
  "total_actual_kv_transfer_blocks": 62123,
  "total_cached_tokens": 100707229,
  "total_kv_transfer_blocks": 105235,
  "tpot_stats_s": {
    "count": 4086.0,
    "mean": 0.005829451223571163,
    "p50": 0.005684156496173296,
    "p90": 0.007143743503740225,
    "p99": 0.008634991403068266
  },
  "trace_path": "outputs/qwen3-30b-tp1-v3-kvaware/kvcache-centric-kv-aware-worker-admission-20260428T095141Z/sampled-trace.jsonl",
  "truncated_request_count": 42,
  "ttft_stats_s": {
    "count": 4086.0,
    "mean": 3.5955862397812597,
    "p50": 0.36274072993546724,
    "p90": 10.972254231572151,
    "p99": 27.433656523004174
  }
}